<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>AddressEditDialog</name>
    <filename>classAddressEditDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>AddressEditDialog</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>d26f36939ff5b9c12d9af43eb6e546f5</anchor>
      <arglist>(const KABC::Address::List &amp;list, int selected, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>KABC::Address::List</type>
      <name>addresses</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>300861f2b8793061692e5d650a048ed8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changed</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>54f6268e14a808d6f75341f5ecb5fc91</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addAddress</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>580f47eb23fe817fa7246c4bcf0fefbf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>removeAddress</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>1d00141fd9b6de7c42b651f6169a3649</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>changeType</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>7f07a76c326ea977ffb69918be18765d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>editLabel</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>7750624f3188a22c1e8d06eba8bb6b48</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateAddressEdits</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>9c939a8e2c9d5ce2ea669b5546f902bf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>6d58d6a7dd645f59c438cfe52dd10fa8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AddressEditWidget</name>
    <filename>classAddressEditWidget.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>813358ac111e6472f37ac9b5e8be36f0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AddressEditWidget</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>81a4054e03bc115f99c85c85f884a78b</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>KABC::Address::List</type>
      <name>addresses</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>a259b82e8c7023fe51216ef8fb0be3f7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAddresses</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>5d337b94762c99bc5126faaf04f0d211</anchor>
      <arglist>(const KABC::Addressee &amp;addr, const KABC::Address::List &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateAddressee</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>eec0ee6b0999ba141580fdca589cce0b</anchor>
      <arglist>(const KABC::Addressee &amp;addr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateTypeCombo</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>d6431287ebd6017ccfbe73f54ec658de</anchor>
      <arglist>(const KABC::Address::List &amp;, KComboBox *)</arglist>
    </member>
    <member kind="function">
      <type>KABC::Address</type>
      <name>currentAddress</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>b2478cad3ac7fac514c02039617d61ab</anchor>
      <arglist>(KComboBox *, int)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>11560c7fa5c66f7d879059d3cd5791af</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateAddressEdit</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>68b5a38791b73f94902d034a485a7a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>edit</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>4f06b97ea633b80868d3c8912d7f2529</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AddresseeUtil</name>
    <filename>classAddresseeUtil.html</filename>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>addresseesToClipboard</name>
      <anchorfile>classAddresseeUtil.html</anchorfile>
      <anchor>5c6f304e6073417fe57faeb5bb857bd5</anchor>
      <arglist>(const KABC::Addressee::List &amp;addrList)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KABC::Addressee::List</type>
      <name>clipboardToAddressees</name>
      <anchorfile>classAddresseeUtil.html</anchorfile>
      <anchor>91fff4cd37a2f421105a61a661975ec9</anchor>
      <arglist>(const QString &amp;clipboard)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>addresseesToEmails</name>
      <anchorfile>classAddresseeUtil.html</anchorfile>
      <anchor>6a831bd0936a148dd1851f89027e4149</anchor>
      <arglist>(const KABC::Addressee::List &amp;addrList)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AddressTypeDialog</name>
    <filename>classAddressTypeDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>AddressTypeDialog</name>
      <anchorfile>classAddressTypeDialog.html</anchorfile>
      <anchor>d77b3886b7f576c55bb99d6f23a83dfa</anchor>
      <arglist>(int type, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>type</name>
      <anchorfile>classAddressTypeDialog.html</anchorfile>
      <anchor>5b79f3448eec2791a2121aa5f66b3b7b</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AddViewDialog</name>
    <filename>classAddViewDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>AddViewDialog</name>
      <anchorfile>classAddViewDialog.html</anchorfile>
      <anchor>1ca7f852297bba64d31083f1ba637047</anchor>
      <arglist>(QDict&lt; ViewFactory &gt; *viewFactoryDict, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>viewName</name>
      <anchorfile>classAddViewDialog.html</anchorfile>
      <anchor>03cfe8dc3f0ef65d73f5a2c89a0cb515</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>viewType</name>
      <anchorfile>classAddViewDialog.html</anchorfile>
      <anchor>a4f94605f9ca5738efcbc87c5472126b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>clicked</name>
      <anchorfile>classAddViewDialog.html</anchorfile>
      <anchor>ed7b66f9fef02d0cd328520f53debad9</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>textChanged</name>
      <anchorfile>classAddViewDialog.html</anchorfile>
      <anchor>486be9a0885e53d91e11f36037d5f40b</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CardView</name>
    <filename>classCardView.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>selectionChanged</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>bd7b7e28115979603ec526fec0769dff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selectionChanged</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>cb98fa9b4f86a26cd0d6d2662eaa41b9</anchor>
      <arglist>(CardViewItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>clicked</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>c8a17c2f8d918370cdc3fd73b1665ee5</anchor>
      <arglist>(CardViewItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>executed</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>6e85d31b7662315cf748d5d9158a1cef</anchor>
      <arglist>(CardViewItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>doubleClicked</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>6b1de93272a369b29c86ea9b580b803c</anchor>
      <arglist>(CardViewItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>currentChanged</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>2580cef48769536ca161ad35c977352e</anchor>
      <arglist>(CardViewItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>returnPressed</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>02943e60c1d2006ecfe4c5c7ff752c93</anchor>
      <arglist>(CardViewItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>contextMenuRequested</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>ca0525a029b0816d83cc3d5f9fca838d</anchor>
      <arglist>(CardViewItem *, const QPoint &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CardView</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>933786f5b27e41523af8f9008bebb63d</anchor>
      <arglist>(QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>bbe967566eed569899c510bfd5842ae8</anchor>
      <arglist>(CardViewItem *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>takeItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>9cdc6c5f34ca0484ed0afaa03b5d84c9</anchor>
      <arglist>(CardViewItem *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>3452f30980688c339f9ff7177b2629c0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CardViewItem *</type>
      <name>currentItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>2c22f3dd12392c1be3f98bb85943247c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>58054f1d4d44c5fd5a0f3b069103173f</anchor>
      <arglist>(CardViewItem *item)</arglist>
    </member>
    <member kind="function">
      <type>CardViewItem *</type>
      <name>itemAt</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>6dd0a7e93a9664e3e340ef1f40789b24</anchor>
      <arglist>(const QPoint &amp;viewPos) const </arglist>
    </member>
    <member kind="function">
      <type>QRect</type>
      <name>itemRect</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>105a30989da31632dda1b7f850d3e20a</anchor>
      <arglist>(const CardViewItem *item) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ensureItemVisible</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>39b429a5dc4e6d8ab518d61411ca9505</anchor>
      <arglist>(const CardViewItem *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>repaintItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>c91d140c9c5fb5e8540f149297debdcd</anchor>
      <arglist>(const CardViewItem *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelectionMode</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>3cec31b27f9f0d744a4e75b056b4eb68</anchor>
      <arglist>(SelectionMode mode)</arglist>
    </member>
    <member kind="function">
      <type>SelectionMode</type>
      <name>selectionMode</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>3bffb6eabb8b78c6982b853f966c128e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelected</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>e3f1ec18cb8ea4eb6edc410f35150992</anchor>
      <arglist>(CardViewItem *item, bool selected)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>selectAll</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>af5389ae0583b606a8713afc3d2650b9</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSelected</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>1e6aa5285afcd2cfebd4206443314264</anchor>
      <arglist>(CardViewItem *item) const </arglist>
    </member>
    <member kind="function">
      <type>CardViewItem *</type>
      <name>selectedItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>810184e9ce06b2aa36e604a96b3dd4d5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>CardViewItem *</type>
      <name>firstItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>e1cb8468fd93b84300e213760ead6208</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>CardViewItem *</type>
      <name>itemAfter</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>abdd5a7bac44718ac828480af3b93b0f</anchor>
      <arglist>(const CardViewItem *item) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>childCount</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>bdbcc6316bd41a3761ebeaf05461fb66</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>CardViewItem *</type>
      <name>findItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>4f73ad19c88c3a9d8ed8018c8c667257</anchor>
      <arglist>(const QString &amp;text, const QString &amp;label, Qt::StringComparisonMode compare=Qt::BeginsWith) const </arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>columnWidth</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>7e7fca339e4598c554d1885b31173785</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDrawCardBorder</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>0a6b4fa770ead7a1ecd96a14db4f689d</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>drawCardBorder</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>c12d48ebb8c6bf0a96bcb490d80e34ee</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDrawColSeparators</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>05649a994b6531198935fe5142909ca5</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>drawColSeparators</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>8c9dad23a944b815ef8c2210f829eb53</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDrawFieldLabels</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>ab0c1413c99ff2642681ed02dd396388</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>drawFieldLabels</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>5c00f680b19431240f8903969b20d0d7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowEmptyFields</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>0d7bfc94a5d597d73846731826ee77bd</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showEmptyFields</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>f738784fb9b7ff1ea24660f26074df87</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>itemMargin</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>bd9be4c85053fb8cae4ff262aa879137</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItemMargin</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a019a95522e6e27f83e5694be7cf5b99</anchor>
      <arglist>(uint margin)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>itemSpacing</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>077b6ec372d7cf0706f056d67d6c9f28</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItemSpacing</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>2088587dac0249f933f7276cec225cc8</anchor>
      <arglist>(uint spacing)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>itemWidth</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>1b9560c747315521b08c11a346fb6b60</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItemWidth</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>c9dde4dc1c02e1001484251c8a0ccd45</anchor>
      <arglist>(int width)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHeaderFont</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>3a55fc60da85c5c8b0d38d1b2137893a</anchor>
      <arglist>(const QFont &amp;fnt)</arglist>
    </member>
    <member kind="function">
      <type>QFont</type>
      <name>headerFont</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>5238d51661390411f33bc03d7e884617</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFont</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>c84b2e7d2dd63fa9efd0778f17906f82</anchor>
      <arglist>(const QFont &amp;fnt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSeparatorWidth</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>8d414938ccbe056c93947fd50f66a29c</anchor>
      <arglist>(int width)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>separatorWidth</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>78b8e1271205f5d1438f405a4e2e7027</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxFieldLines</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>375acddf0650535bdf745227098048fc</anchor>
      <arglist>(int howmany)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxFieldLines</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>be8ab51e96e5b36412b92db52df7a1f6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>drawContents</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>9538ed84df3a88ba094d0b584aad349f</anchor>
      <arglist>(QPainter *p, int clipx, int clipy, int clipw, int cliph)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resizeEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>d4454695066322c5cfb336157f41f7b1</anchor>
      <arglist>(QResizeEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>contentsWheelEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>f48479e394200743c5e37e04eaeef56b</anchor>
      <arglist>(QWheelEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setLayoutDirty</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>b9c0e3520b62830c594f09855c56c9d3</anchor>
      <arglist>(bool dirty)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>calcLayout</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>73b3ca4524bbf4234c696f02c053b273</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsMousePressEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>eabee2be1e8db380bb33b990f2e557a0</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsMouseMoveEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>62994ff2cd0b9468e6862a7f3eaf84f4</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsMouseReleaseEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>7129d69e7a04f0da8b78e3fc72cc6134</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsMouseDoubleClickEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>257358b7082e62b93c1506e9c62e1019</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>enterEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>62dffbbe7837587b147f44c846c2f37c</anchor>
      <arglist>(QEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>leaveEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>85f7620282e75d24248bd1bdef577e95</anchor>
      <arglist>(QEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>focusInEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>38235862e21fa3f9f19f55811d951362</anchor>
      <arglist>(QFocusEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>focusOutEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>8585fdbb772a6ea8a107caff0df9a3ad</anchor>
      <arglist>(QFocusEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>keyPressEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a390066dfb927d93fb1e8f9c936e7ce1</anchor>
      <arglist>(QKeyEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>startDrag</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>f97168b938e95736df57dbd61baaf38f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>CardViewItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>317c923b8a286767c5d8d5d9421e8273</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CardViewItem</name>
    <filename>classCardViewItem.html</filename>
    <member kind="typedef">
      <type>QPair&lt; QString, QString &gt;</type>
      <name>Field</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>64edc13a210195015b47cc0a75d952a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CardViewItem</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>398692c20979732eb1bff3727d5dce18</anchor>
      <arglist>(CardView *parent, const QString &amp;caption=QString())</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>caption</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>0371565b6a017b095de97c647a6395f3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCaption</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>028494c622b5ea9c313fc23aded286c3</anchor>
      <arglist>(const QString &amp;caption)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>paintCard</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>29cdded8fac77fe6e05fcd1414ed1806</anchor>
      <arglist>(QPainter *p, QColorGroup &amp;cg)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>repaintCard</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>b164214eda619037be346c793a5f3e59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertField</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>aba1c512f7d37344837853eebc148d9b</anchor>
      <arglist>(const QString &amp;label, const QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeField</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>432b161dc06ef6c8a070ace5cb942bdd</anchor>
      <arglist>(const QString &amp;label)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fieldValue</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>95d836dca6fe2f67801ff99742edd5f3</anchor>
      <arglist>(const QString &amp;label) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearFields</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>5072007830e5ac381196316e26842083</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CardViewItem *</type>
      <name>nextItem</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>0f7608325b216600e73665da5c54bae1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSelected</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>25e672791e143a906955fdb41726e41d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showFullString</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>c4014dce8e9f1d6214c79248d4ccc33e</anchor>
      <arglist>(const QPoint &amp;pos, CardViewTip *tip)</arglist>
    </member>
    <member kind="function">
      <type>Field *</type>
      <name>fieldAt</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>9f238dd80f7e449e2ab532bf2ee67a33</anchor>
      <arglist>(const QPoint &amp;itempos) const </arglist>
    </member>
    <member kind="function">
      <type>CardView *</type>
      <name>cardView</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>d59af63d7e56eee4f374924a2f5cc21e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>height</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>9b09c9e28c08daaef572e43cc3f3aa82</anchor>
      <arglist>(bool allowCache=true) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSelected</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>7ced93bc42ccd33d38560a9c84ff32a1</anchor>
      <arglist>(bool selected)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>CardView</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>ffcf84b19290a67c37257b3c476e857e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CardViewLookNFeelPage</name>
    <filename>classCardViewLookNFeelPage.html</filename>
    <member kind="function">
      <type></type>
      <name>CardViewLookNFeelPage</name>
      <anchorfile>classCardViewLookNFeelPage.html</anchorfile>
      <anchor>b1ee6b1be9dbbf59ee1fe8360af5a3b1</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreSettings</name>
      <anchorfile>classCardViewLookNFeelPage.html</anchorfile>
      <anchor>6c406b123771df39e99151b0049570e5</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveSettings</name>
      <anchorfile>classCardViewLookNFeelPage.html</anchorfile>
      <anchor>cb942227ae56f151687f87d78569204b</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigureCardViewWidget</name>
    <filename>classConfigureCardViewWidget.html</filename>
    <base>ViewConfigureWidget</base>
    <member kind="function">
      <type></type>
      <name>ConfigureCardViewWidget</name>
      <anchorfile>classConfigureCardViewWidget.html</anchorfile>
      <anchor>fd2de1bd015e1177f4fd53c10e869546</anchor>
      <arglist>(KABC::AddressBook *ab, QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>restoreSettings</name>
      <anchorfile>classConfigureCardViewWidget.html</anchorfile>
      <anchor>7c2acd8ac3ce44308860ef883c256d3c</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveSettings</name>
      <anchorfile>classConfigureCardViewWidget.html</anchorfile>
      <anchor>f0be71e1cfc91c7f4f5ebc4dfec93a38</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigureTableViewWidget</name>
    <filename>classConfigureTableViewWidget.html</filename>
    <base>ViewConfigureWidget</base>
    <member kind="function">
      <type></type>
      <name>ConfigureTableViewWidget</name>
      <anchorfile>classConfigureTableViewWidget.html</anchorfile>
      <anchor>feb88a3522a6294197e422a4921cce97</anchor>
      <arglist>(KABC::AddressBook *ab, QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>restoreSettings</name>
      <anchorfile>classConfigureTableViewWidget.html</anchorfile>
      <anchor>e4f38ff0d28e28fe69bf0ef6479f3a88</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveSettings</name>
      <anchorfile>classConfigureTableViewWidget.html</anchorfile>
      <anchor>302e81b616b6f29144b24db62aaf4887</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DateParser</name>
    <filename>classDateParser.html</filename>
    <member kind="function">
      <type></type>
      <name>DateParser</name>
      <anchorfile>classDateParser.html</anchorfile>
      <anchor>aa79462c6c6ce7f9953e39eb414223b6</anchor>
      <arglist>(const QString &amp;pattern)</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>parse</name>
      <anchorfile>classDateParser.html</anchorfile>
      <anchor>46aec865b3d57f193b0af594f6cd91cc</anchor>
      <arglist>(const QString &amp;dateStr) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DistributionListView</name>
    <filename>classDistributionListView.html</filename>
    <member kind="function">
      <type></type>
      <name>DistributionListView</name>
      <anchorfile>classDistributionListView.html</anchorfile>
      <anchor>fdb48f9ddcbb57521f261c099e0574d4</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dragEnterEvent</name>
      <anchorfile>classDistributionListView.html</anchorfile>
      <anchor>20c5af67dcf8fe8080d3f3f2c0e7d2e8</anchor>
      <arglist>(QDragEnterEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dropEvent</name>
      <anchorfile>classDistributionListView.html</anchorfile>
      <anchor>e880d238da9540b8ab07071e1ec9b653</anchor>
      <arglist>(QDropEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>viewportDragMoveEvent</name>
      <anchorfile>classDistributionListView.html</anchorfile>
      <anchor>3bb0a67cd4292d8a7c512ce094b993e9</anchor>
      <arglist>(QDragMoveEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>viewportDropEvent</name>
      <anchorfile>classDistributionListView.html</anchorfile>
      <anchor>31855a6a17114572e860de257316c769</anchor>
      <arglist>(QDropEvent *e)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DynamicTip</name>
    <filename>classDynamicTip.html</filename>
    <member kind="function">
      <type></type>
      <name>DynamicTip</name>
      <anchorfile>classDynamicTip.html</anchorfile>
      <anchor>0f15443eb4983aa65c5dc4e5d7f2316a</anchor>
      <arglist>(ContactListView *parent)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>maybeTip</name>
      <anchorfile>classDynamicTip.html</anchorfile>
      <anchor>279e6c05a648277ebff8835bd9097775</anchor>
      <arglist>(const QPoint &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>EmailEditWidget</name>
    <filename>classEmailEditWidget.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classEmailEditWidget.html</anchorfile>
      <anchor>cb650af4281506535606f964a6ae4648</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>EmailEditWidget</name>
      <anchorfile>classEmailEditWidget.html</anchorfile>
      <anchor>432ae9a7fe3c9273c6437cf7e9fc800b</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEmails</name>
      <anchorfile>classEmailEditWidget.html</anchorfile>
      <anchor>ef798483ac627dc15f792216fd37ce2d</anchor>
      <arglist>(const QStringList &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>emails</name>
      <anchorfile>classEmailEditWidget.html</anchorfile>
      <anchor>e29a24244a983a8204543466dbb8b4f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classEmailEditWidget.html</anchorfile>
      <anchor>fa5227c922f106b67073c198d4fe0c4e</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>EmailSelector</name>
    <filename>classEmailSelector.html</filename>
    <member kind="function">
      <type></type>
      <name>EmailSelector</name>
      <anchorfile>classEmailSelector.html</anchorfile>
      <anchor>a708828f736c26fd4bdac6bde641bfdd</anchor>
      <arglist>(const QStringList &amp;emails, const QString &amp;current, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>selected</name>
      <anchorfile>classEmailSelector.html</anchorfile>
      <anchor>b15901bd139dd0c903fb74aaae3fb7b6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>getEmail</name>
      <anchorfile>classEmailSelector.html</anchorfile>
      <anchor>779288e139064048a3cc53608abbf6b6</anchor>
      <arglist>(const QStringList &amp;emails, const QString &amp;current, QWidget *parent, bool &amp;canceled)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Filter</name>
    <filename>classFilter.html</filename>
    <member kind="typedef">
      <type>QValueList&lt; Filter &gt;</type>
      <name>List</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>cf51265f5a232f0345c35d819b6dff3a</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Filter</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>5b48e4487ba69ef5a528f314bd29a220</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>f2bcec6892cae524d6c62f93c664bb8b</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>name</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>56522cdab091ccea7aa092156377be03</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isInternal</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>db719d4d19226b19597828b50617f8b0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>apply</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>dac92d3881a368f7c75cd62a04cf2661</anchor>
      <arglist>(KABC::Addressee::List &amp;addresseeList)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>filterAddressee</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>0b0da1cb3275128433aadd840b92c2d5</anchor>
      <arglist>(const KABC::Addressee &amp;a) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEnabled</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>3439b317c389b94af7e363b5b0dba243</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEnabled</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>eef4e0e20a536b7f740190b1fa39307f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCategories</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>10e5183b538eed0e6506e4dd4be8c835</anchor>
      <arglist>(const QStringList &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>categories</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>f8d9853eaf384997185803af06215db4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>2c544783fe126b4662eb3321323c59a2</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restore</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>0d0848758b5b80290a94eabf8456f69f</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMatchRule</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>fc8fd041e058eedd96d0164c280a4431</anchor>
      <arglist>(MatchRule rule)</arglist>
    </member>
    <member kind="function">
      <type>MatchRule</type>
      <name>matchRule</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>fd0c1e8b49246866a74bada517987eeb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>0e6425e5e0b05a773464813bc823db8e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>save</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>e971b0f76f598873535875500b169bff</anchor>
      <arglist>(KConfig *config, const QString &amp;baseGroup, Filter::List &amp;list)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Filter::List</type>
      <name>restore</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>87c137fecefb6dbf2ea6be3bb657637f</anchor>
      <arglist>(KConfig *config, const QString &amp;baseGroup)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>FilterSelectionWidget</name>
    <filename>classFilterSelectionWidget.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>filterActivated</name>
      <anchorfile>classFilterSelectionWidget.html</anchorfile>
      <anchor>af080b439f8e3f22cf73cd0148a90688</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FilterSelectionWidget</name>
      <anchorfile>classFilterSelectionWidget.html</anchorfile>
      <anchor>f9d1b70095710d6c5c7fd01893f99870</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItems</name>
      <anchorfile>classFilterSelectionWidget.html</anchorfile>
      <anchor>c419eb4e8de10437450202707bb88722</anchor>
      <arglist>(const QStringList &amp;names)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>currentItem</name>
      <anchorfile>classFilterSelectionWidget.html</anchorfile>
      <anchor>ad6340abed572625972c056648df2f38</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentItem</name>
      <anchorfile>classFilterSelectionWidget.html</anchorfile>
      <anchor>429a78ad950e4b01e94bc42b9347507d</anchor>
      <arglist>(int index)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IMAddressLVI</name>
    <filename>classIMAddressLVI.html</filename>
    <member kind="function">
      <type></type>
      <name>IMAddressLVI</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>afa72338e71a5974e29f3b1270c5d0ec</anchor>
      <arglist>(KListView *parent, KPluginInfo *protocol, const QString &amp;address, const IMContext &amp;context=Any)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAddress</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>e61d6f83aba8cae998ba2992cbe010ad</anchor>
      <arglist>(const QString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProtocol</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>f1c4c1251d3322e309bcfe29a5603a38</anchor>
      <arglist>(KPluginInfo *protocol)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContext</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>f0201c24e1d43bdb4f96881d64e6ae2a</anchor>
      <arglist>(const IMContext &amp;context)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>activate</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>43c9d5a406c9ff4785118da7456b10dc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KPluginInfo *</type>
      <name>protocol</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>0e08e1a76e8cc058800f298940ad6c8e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>address</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>bccdb9570edcb99f87f944c76c81fe5d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>IMContext</type>
      <name>context</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>8d53fb775c199b0d20603b56886ad123</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPreferred</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>38ce3109654d45caf5377b72e89926c5</anchor>
      <arglist>(bool preferred)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>preferred</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>107cdb6848401f83ce23f03e99f4ae2d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>paintCell</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>526b51834b758d16c23b17090ffacf7e</anchor>
      <arglist>(QPainter *p, const QColorGroup &amp;cg, int column, int width, int alignment)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IMAddressWidget</name>
    <filename>classIMAddressWidget.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>inValidState</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>8d1979e35cc4e8293a277b33f8cb8953</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IMAddressWidget</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>4753568cfb532f9e4a0b264975466170</anchor>
      <arglist>(QWidget *parent, QValueList&lt; KPluginInfo * &gt; protocols)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IMAddressWidget</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>4fe9595115ff8484aec30b06596dc57b</anchor>
      <arglist>(QWidget *parent, QValueList&lt; KPluginInfo * &gt; protocols, KPluginInfo *protocol, const QString &amp;address, const IMContext &amp;context=Any)</arglist>
    </member>
    <member kind="function">
      <type>KPluginInfo *</type>
      <name>protocol</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>d34a54fa42858306d6116b3190997c6e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>IMContext</type>
      <name>context</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>b387077761518ff4c5b7555eca78114d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>address</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>1c87d7fcbd7507e5f678886950439572</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>QValueList&lt; KPluginInfo * &gt;</type>
      <name>mProtocols</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>ed4aabe8bc70fe9704c2a4a1392c15e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotProtocolChanged</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>2c42f6f913d65180a21b9337fabe0ff2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotAddressChanged</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>c06b056104f040aa8e6f01093361afd0</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>populateProtocols</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>39fcb2e1482be14123b46355f190735a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ImageButton</name>
    <filename>classImageButton.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>5fd713fa038ce8520a0e949bbae17a8a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>urlDropped</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>27890457b02c525b53f099d0a06e92a5</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ImageButton</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>0c288a9a9871c48d256d3e921d440a92</anchor>
      <arglist>(const QString &amp;title, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>23c4eefdce72fb5f282feecdd085eebb</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPicture</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>11e59d0e79a21244558a9f4d01c1f057</anchor>
      <arglist>(const KABC::Picture &amp;picture)</arglist>
    </member>
    <member kind="function">
      <type>KABC::Picture</type>
      <name>picture</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>cec11ffb9aa0ed2f9fe3e192e7d29526</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setImageLoader</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>032e330e755d981e7921086ab0423ae0</anchor>
      <arglist>(ImageLoader *loader)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dragEnterEvent</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>7b9bcdefaaf42395f860dff5cafa93c5</anchor>
      <arglist>(QDragEnterEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dropEvent</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>956187300f786d09f1c21c7b7a40dbd2</anchor>
      <arglist>(QDropEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mouseMoveEvent</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>539593875096c38ca7be1e4fa093170d</anchor>
      <arglist>(QMouseEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mousePressEvent</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>24d2c4522dbc67bf577b4caa684e0132</anchor>
      <arglist>(QMouseEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contextMenuEvent</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>50408ae26c5dee7171eb34764d8ee9e0</anchor>
      <arglist>(QContextMenuEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ImageLoader</name>
    <filename>classImageLoader.html</filename>
    <member kind="function">
      <type></type>
      <name>ImageLoader</name>
      <anchorfile>classImageLoader.html</anchorfile>
      <anchor>00dc7827c2d984f2ef33d3dfa180cf0e</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KABC::Picture</type>
      <name>loadPicture</name>
      <anchorfile>classImageLoader.html</anchorfile>
      <anchor>2d5228d1eabf9d5defd1a10471e52da9</anchor>
      <arglist>(const KURL &amp;url, bool *ok)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IMEditorWidget</name>
    <filename>classIMEditorWidget.html</filename>
    <member kind="function">
      <type></type>
      <name>IMEditorWidget</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>a31ab76b557f5891331bdb42ce09bd20</anchor>
      <arglist>(QWidget *parent, const QString &amp;preferredIM, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadContact</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>23e31bf9dde56ae0369c7987f0893200</anchor>
      <arglist>(KABC::Addressee *addr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>storeContact</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>b69e16d9c21c0e229bbc52525713a907</anchor>
      <arglist>(KABC::Addressee *addr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>f6b88b7fafc39dfa4e657e4b5fbae1a3</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; KPluginInfo * &gt;</type>
      <name>availableProtocols</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>cff3df19321900716f2ab9be8cdcd955</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isModified</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>97d880544321c5b356ddfc19f9ac35bd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>preferred</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>7d6a815d782820986370bda21647cb93</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUpdateButtons</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>8127d65b82aa3d607380dbc477daf09f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotAdd</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>44a600a285957a1eb7c02e277832a36b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotEdit</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>b3e172609cf3cce094d943dda3c8ef7a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDelete</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>e855545fe37bb3c879d6353bea6dc781</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSetStandard</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>6d65ac4976c0a438b01865b89af7fc3f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KPluginInfo *</type>
      <name>protocolFromString</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>4bbd4a1aef4ca79e310c0445a33924b2</anchor>
      <arglist>(const QString &amp;fieldValue) const </arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static void</type>
      <name>splitField</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>d93fda9cb94ebc3e8060a19b9c48a55e</anchor>
      <arglist>(const QString &amp;str, QString &amp;app, QString &amp;name, QString &amp;value)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IMEditWidget</name>
    <filename>classIMEditWidget.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classIMEditWidget.html</anchorfile>
      <anchor>7064c382a19dd9e1a8f6db17f6598a61</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IMEditWidget</name>
      <anchorfile>classIMEditWidget.html</anchorfile>
      <anchor>16af6b049d8f8fa18f95c3136cbc1c7a</anchor>
      <arglist>(QWidget *parent, KABC::Addressee &amp;addr, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIMs</name>
      <anchorfile>classIMEditWidget.html</anchorfile>
      <anchor>99cb50241655a0f59a4bdffc7376dba2</anchor>
      <arglist>(const QStringList &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>ims</name>
      <anchorfile>classIMEditWidget.html</anchorfile>
      <anchor>45297d09b227bc1bb70f16e4b6ea43c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPreferredIM</name>
      <anchorfile>classIMEditWidget.html</anchorfile>
      <anchor>14ff483cacfb2443d17f1c9c92552466</anchor>
      <arglist>(const QString &amp;addr)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>preferredIM</name>
      <anchorfile>classIMEditWidget.html</anchorfile>
      <anchor>8f5bf896f9cb7439a50604f1a0771fc8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classIMEditWidget.html</anchorfile>
      <anchor>2e2145bae8952f8b8aef5d17b88bf529</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>JumpButtonBar</name>
    <filename>classJumpButtonBar.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>updateButtons</name>
      <anchorfile>classJumpButtonBar.html</anchorfile>
      <anchor>d9c828bd74e70c0f1fb75067b62ab128</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>jumpToLetter</name>
      <anchorfile>classJumpButtonBar.html</anchorfile>
      <anchor>745f5c6914d8214243e2adde881dda94</anchor>
      <arglist>(const QString &amp;character)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>JumpButtonBar</name>
      <anchorfile>classJumpButtonBar.html</anchorfile>
      <anchor>8e675e1179cac3cada3f2d8562f08f17</anchor>
      <arglist>(KAB::Core *core, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>letterClicked</name>
      <anchorfile>classJumpButtonBar.html</anchorfile>
      <anchor>f931f57f5b6c54726148e42ef0a066fc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>resizeEvent</name>
      <anchorfile>classJumpButtonBar.html</anchorfile>
      <anchor>55f7a564c32acdcad88cfdfd06b84e79</anchor>
      <arglist>(QResizeEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAddressBookCardView</name>
    <filename>classKAddressBookCardView.html</filename>
    <base>KAddressBookView</base>
    <member kind="slot">
      <type>void</type>
      <name>refresh</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>19b76d340967bb913d92671da01aab60</anchor>
      <arglist>(const QString &amp;uid=QString())</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setSelected</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>f2bdfa6177a278680acc1891846cf7d7</anchor>
      <arglist>(const QString &amp;uid=QString(), bool selected=true)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setFirstSelected</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>d08a39d5b9c0dcdd977e593b8535f4e3</anchor>
      <arglist>(bool selected=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAddressBookCardView</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>150da3876ee8e918ec59dcb7900f2f8d</anchor>
      <arglist>(KAB::Core *core, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>selectedUids</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>2585906140444a0b6c1e10e5dca8abb1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>type</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>7f6ba812eedcf9042ca139714a2c632c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KABC::Field *</type>
      <name>sortField</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>afb662e00e449c2d4e96fd5405982361</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>732d3117d8e181c73b29891d2b2df38f</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>31a40f68f1139e077a816121638e425e</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>scrollUp</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>c10461c91080deb948e65cadeea99c5f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>scrollDown</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>a4d6ebac79e9422339ec4d453edf188c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addresseeExecuted</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>546b24a2be99e12148487aac67a93490</anchor>
      <arglist>(CardViewItem *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addresseeSelected</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>220de71266489ccda83674800155e933</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>rmbClicked</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>a70ad8d2fd6b9b3b12fe4fa8df5de68b</anchor>
      <arglist>(CardViewItem *, const QPoint &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAddressBookIconView</name>
    <filename>classKAddressBookIconView.html</filename>
    <base>KAddressBookView</base>
    <member kind="slot">
      <type>void</type>
      <name>refresh</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>075c73e9db421280f3d14250cf9e65cc</anchor>
      <arglist>(const QString &amp;uid=QString())</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setSelected</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>fc196129a0a46cfdb56dd0284c7f0998</anchor>
      <arglist>(const QString &amp;uid=QString(), bool selected=true)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setFirstSelected</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>ee247538deec4b4fbe1188d10563ffb5</anchor>
      <arglist>(bool selected=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAddressBookIconView</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>43eb636bd61ba87f51056ae3aa309d62</anchor>
      <arglist>(KAB::Core *core, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>selectedUids</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>a761cbb529a536749c0e9e3da469d8e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>type</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>d38fd8305b36d1201edb2aabd223a8c6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KABC::Field *</type>
      <name>sortField</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>7dcb6a59f2bad4eaaca04514576ee9a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>ce6c63e9d015e5c4beb9eb7f79f8a9b1</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>scrollUp</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>96df48972a87dcc4d46d199c6e70430c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>scrollDown</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>2953ac019b5e71a4a26c4b55cfb16a53</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addresseeExecuted</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>ef4ffc268a7a0216554430a529c158bf</anchor>
      <arglist>(QIconViewItem *item)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addresseeSelected</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>983e6dc0be7ee1ece40b61dea84cbdb1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>rmbClicked</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>20d90944a8c82bf0db3c0742fc15d202</anchor>
      <arglist>(QIconViewItem *, const QPoint &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAddressBookMain</name>
    <filename>classKAddressBookMain.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>addEmail</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>3da83a7f6e437b7576f3cbf95361bcf7</anchor>
      <arglist>(QString addr)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>importVCard</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>d17ae2ab08aef6ec92232d233b1b3f45</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>importVCardFromData</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>4bb077e15cf0eb991375ff55b2015b39</anchor>
      <arglist>(const QString &amp;vCard)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>showContactEditor</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>df3f733507f58017a1f4daf654514524</anchor>
      <arglist>(QString uid)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>newContact</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>39142d0a24b30bd55531594ea428e307</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>newDistributionList</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>5a00412e5ddedcb305ae52f1a029d47b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual QString</type>
      <name>getNameByPhone</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>b7a32338535782ca08ff6c6067abe8b6</anchor>
      <arglist>(QString phone)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>7552066ded885dc0690684b7b5b055a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>exit</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>0007614115a51cdc27c2cfcbde5fef5c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual bool</type>
      <name>handleCommandLine</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>d5e119305da756cd667846b969cdef1c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAddressBookMain</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>5c5f2156bcdf9d505ef72f9375b50ce7</anchor>
      <arglist>(const QString &amp;file=QString::null)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initActions</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>999c180e4f928c1079a6eb00335fbcf0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveProperties</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>9dcec5bf27094a6d6ec59d0db867fe6d</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>readProperties</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>ebdd3e8a6edd3c8a796475d6b0ca8643</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryClose</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>7684406cf2fa005268fc2a2b624f048b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadProfile</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>e6239ae9e61333f5e8793d45f855eb3b</anchor>
      <arglist>(const QString &amp;path)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveToProfile</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>f0fb6f0f745bf36a7f7668633794aa4c</anchor>
      <arglist>(const QString &amp;path) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAddressBookTableView</name>
    <filename>classKAddressBookTableView.html</filename>
    <base>KAddressBookView</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>reconstructListView</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>42d1ddb62f32e833306d970968b28965</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAddressBookTableView</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>eb6c9fac18873481924f09e9fd013eff</anchor>
      <arglist>(KAB::Core *core, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>refresh</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>4ff0769517168fe1e240056e9e54e41c</anchor>
      <arglist>(const QString &amp;uid=QString())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>selectedUids</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>9dfc31c0c3d36813e4a71c5074f883a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSelected</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>8617c040f395dfc2dbc38b92f3df5824</anchor>
      <arglist>(const QString &amp;uid=QString(), bool selected=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setFirstSelected</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>a750500426f894e3049175e5b1637035</anchor>
      <arglist>(bool selected=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KABC::Field *</type>
      <name>sortField</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>697be5c08b7a4b6bae403502ca774946</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>66097068bd0b66ad13acd0384431e97c</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>7abc7e2f9723111b27977969a8bd92e8</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>type</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>960166662809a52980199ce67d4746c1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>scrollUp</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>a44b6e8db12bfa0cca05910241237b5d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>scrollDown</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>eb4a5709e40a89d22703f2fa2cfb0d13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addresseeSelected</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>8cdc9550b1f11971beb2df2bf86d254b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addresseeExecuted</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>2e1236546d1213daf3ac2d7ea312d295</anchor>
      <arglist>(QListViewItem *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>rmbClicked</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>79a513e48ecd173f66414560605b8cfb</anchor>
      <arglist>(KListView *, QListViewItem *, const QPoint &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updatePresence</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>e2875484eb2cee0d9db831ee5802aff6</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ContactListView</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>a13303974c67411aa3adff8dd94e795e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAddressBookView</name>
    <filename>classKAddressBookView.html</filename>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>refresh</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>33052941465838c43b69b61653639d13</anchor>
      <arglist>(const QString &amp;uid=QString())=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>setSelected</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>b1f67bf8e83c72484b0aa308533c0979</anchor>
      <arglist>(const QString &amp;uid=QString(), bool selected=true)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>setFirstSelected</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>c2269e27bb8c8ff06dfe2b9e3b3357c8</anchor>
      <arglist>(bool selected=true)=0</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>popup</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>393668857b4292e6a2ad2ab958b00e73</anchor>
      <arglist>(const QPoint &amp;point)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>cfcf83a3ca367f3a5422f2005853c063</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selected</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>0d91b34d0d3c8c26ee8a7bfc05d03917</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>executed</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>30b20589bea5849e39e3d3a6432ef190</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>startDrag</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>0fb13d9787ab314956d67143ff37ea01</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dropped</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>e270f1a5e99eb385fb3ed8212fed4b7f</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sortFieldChanged</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>dafe34db1b0d156f7b15e91b5aa70b8d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>viewFieldsChanged</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>2b7ea3e442d78408cfe9adfafeb5fc66</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAddressBookView</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>2d8c729e16bf5ca6f75970e3dde0a051</anchor>
      <arglist>(KAB::Core *core, QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QStringList</type>
      <name>selectedUids</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>8b372380967f1a2150ee2b700b2149a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a57dbc0b432a252da27fc8afe81ef898</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>b3cb4994491761243a0089869c36b33c</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>selectedEmails</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>39fcc2a6514a2690ac4ae89a40aaa067</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>type</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>76149bcdfe0f05e536a9905af3909eba</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function">
      <type>KABC::Field::List</type>
      <name>fields</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>f6ea8a3307cb9ed0e9f9737c878b9dbd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFilter</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>3c79e2e2fecbef5ceb6479b494740d74</anchor>
      <arglist>(const Filter &amp;)</arglist>
    </member>
    <member kind="function">
      <type>DefaultFilterType</type>
      <name>defaultFilterType</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>8096d78bec403feaa38bc7f8b23a746f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>defaultFilterName</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>3d6430760a156a68efcb45b5756ce891</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KAB::Core *</type>
      <name>core</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>244299d36e01633853f3b47c6eab8957</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KABC::Field *</type>
      <name>sortField</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>78b2d39633cdf0a8de4000cabcfcee50</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>scrollUp</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>dec384d3e38e3a9fdca0d336680fc6fb</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>scrollDown</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>b237b767f8b4efa118f44a26f4a4c0d0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KABC::Addressee::List</type>
      <name>addressees</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>99422071e971db4001f923c547ca88a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QWidget *</type>
      <name>viewWidget</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>3fef677398d04dab172c18bb35fd7314</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LookAndFeelPage</name>
    <filename>classLookAndFeelPage.html</filename>
    <member kind="function">
      <type></type>
      <name>LookAndFeelPage</name>
      <anchorfile>classLookAndFeelPage.html</anchorfile>
      <anchor>d10c79f2b0619210c565773aea67aedc</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreSettings</name>
      <anchorfile>classLookAndFeelPage.html</anchorfile>
      <anchor>bca43e6ff00f15544118ab12333f200d</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveSettings</name>
      <anchorfile>classLookAndFeelPage.html</anchorfile>
      <anchor>863cb8072d097b5b585520431e553d6c</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>enableBackgroundToggled</name>
      <anchorfile>classLookAndFeelPage.html</anchorfile>
      <anchor>311a7bc820917924bfc9f1c00f1eab6d</anchor>
      <arglist>(bool)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NameEditDialog</name>
    <filename>classNameEditDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>NameEditDialog</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>d447b4878b1f20c200e4d775babb054c</anchor>
      <arglist>(const KABC::Addressee &amp;addr, int type, bool readOnly, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>familyName</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>7ac6e1870cf4bc7238e1b62211bae9d1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>givenName</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>543d50eddb2b7f3cafb2118b0724e195</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>prefix</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>78432f3c248a6c4962af5e183795ad2e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>suffix</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>03b37720c52108c1b80cab84fb74012a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>additionalName</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>a1dcae0654fe40238d1ba4f86c173820</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>customFormattedName</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>dc7dc77ba32ea00304513eadb746012f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>formattedNameType</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>d16e8975c1ac86e1a7b1881b76da0cf0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changed</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>0748577da8fa657a7305df47b2c87a20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>formattedName</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>0d3af497491d141b8d26d99470b0b797</anchor>
      <arglist>(const KABC::Addressee &amp;addr, int type)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotHelp</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>c739ea7a864729441f485042336197cf</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PhoneEditWidget</name>
    <filename>classPhoneEditWidget.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>e344ee0d3fb3416de53d3606f7caf929</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PhoneEditWidget</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>2913965c231ae8a8a7cb70c09f54e79a</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPhoneNumbers</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>d3be4b83a8d4f68c44c9aa579c0a8d63</anchor>
      <arglist>(const KABC::PhoneNumber::List &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>KABC::PhoneNumber::List</type>
      <name>phoneNumbers</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>1c00aaac301071b5b6a030c759213397</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>81c3e3ef60bcfa1fb8308da405380d53</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>add</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>71a298d5299da4aa722b011c5b885f70</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>remove</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>a4675225cb554d5e7568576ee4a8ce73</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>c555b148dfc160210c9327aabdd47e66</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>3f8fbe13dbf2c9c892308b7a503f6a4d</anchor>
      <arglist>(int pos)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PhoneTypeDialog</name>
    <filename>classPhoneTypeDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>PhoneTypeDialog</name>
      <anchorfile>classPhoneTypeDialog.html</anchorfile>
      <anchor>f5ee6f2a10b92c008a3d65284f32c6fd</anchor>
      <arglist>(int type, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>type</name>
      <anchorfile>classPhoneTypeDialog.html</anchorfile>
      <anchor>99d9d5a1ef0138b10f865d9858134790</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TypeCombo</name>
    <filename>classTypeCombo.html</filename>
    <templarg>T</templarg>
    <member kind="typedef">
      <type>T::List</type>
      <name>List</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>bac42ea073049246babdc91cc269c1a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>T::List::Iterator</type>
      <name>Iterator</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>dbc8635eb251d1fad429e2d7b95924ef</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TypeCombo</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>0651bec29e58e9e81ea4641500a77d5c</anchor>
      <arglist>(List &amp;list, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLineEdit</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>fac422b1f387fac8d38d18805c711754</anchor>
      <arglist>(QLineEdit *edit)</arglist>
    </member>
    <member kind="function">
      <type>QLineEdit *</type>
      <name>lineEdit</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>b7ed3d49c757506365881177b6de00c7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateTypes</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>ede7315d3db29cda551cb7a9002adaf2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>selectType</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>91b46004a93c7a95273ccd1189cb1b33</anchor>
      <arglist>(int type)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>selectedType</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>24c9b5d67de26ca47756412ce6ea57c8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>selectedElement</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>7af8615738b8351f497add3946b085b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertType</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>60078f6b5d994babab603cc16eb04a05</anchor>
      <arglist>(const List &amp;list, int type, const T &amp;defaultObject)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertTypeList</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>bd5284f3aeff525cc0dbb570060d1f11</anchor>
      <arglist>(const List &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasType</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>82394ad76be0aad22124762595e9329e</anchor>
      <arglist>(int type)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ViewConfigureWidget</name>
    <filename>classViewConfigureWidget.html</filename>
    <member kind="function">
      <type></type>
      <name>ViewConfigureWidget</name>
      <anchorfile>classViewConfigureWidget.html</anchorfile>
      <anchor>d0534114ca10600223c62df4034088ce</anchor>
      <arglist>(KABC::AddressBook *ab, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>restoreSettings</name>
      <anchorfile>classViewConfigureWidget.html</anchorfile>
      <anchor>53bb10707460fd590d2e200c4718b82d</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveSettings</name>
      <anchorfile>classViewConfigureWidget.html</anchorfile>
      <anchor>4c5bb092bf7faf2d8c7acd1cd816f714</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>QVBox *</type>
      <name>addPage</name>
      <anchorfile>classViewConfigureWidget.html</anchorfile>
      <anchor>bc45451f389bc7dd7b807f1737fd2fd1</anchor>
      <arglist>(const QString &amp;item, const QString &amp;header=QString::null, const QPixmap &amp;pixmap=QPixmap())</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ViewManager</name>
    <filename>classViewManager.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setSelected</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>21367cf3a970b4a02e3d546d6f46be99</anchor>
      <arglist>(const QString &amp;uid=QString::null, bool selected=true)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setFirstSelected</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>cf981baaed62db287365010785b09019</anchor>
      <arglist>(bool selected=true)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>refreshView</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>9d171e624071ed05c4eea4761c6e4325</anchor>
      <arglist>(const QString &amp;uid=QString::null)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>editView</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>0e57a398ddcee220f356509f63588c97</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteView</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>8d58ebc9a5880adbb2280df8d4781f00</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>addView</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>7add0398401bbf8619615f8d43c99479</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>scrollUp</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>ff4ab6b0e8f8bb56b16a111ad6873501</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>scrollDown</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>534954bb420dfe2b9574641ddc6bf6be</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selected</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>989c54ee417e5272bc7bff10c2259952</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>executed</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>f6ab813586423fe446a0003919fe4d36</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>98f2d3f16deb7dbec008bc2745687c7a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>urlDropped</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>7a4961938ef73b2295fc3e51363f9b35</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sortFieldChanged</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>e0511b561555336acbe43ea2f371fed9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>viewFieldsChanged</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>05e84d1c07c8f2e83d980be2e91582b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ViewManager</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>84ec18f863bf79f7ed32b1bf97d74297</anchor>
      <arglist>(KAB::Core *core, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreSettings</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>e790ac3d1614773620b6550ef3e44bf9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveSettings</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>020466cf952f9659d8a270c30ec90ab1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unloadViews</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>3770c6215f34d6f2923466913702d0df</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>selectedUids</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>b23edf7756fc03650ab9540075f73096</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>selectedEmails</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>064a7e9aa0cd6c157ef1608ce1bcece4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KABC::Addressee::List</type>
      <name>selectedAddressees</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>cc3dd9031a40f2868981325e0b1ca052</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFilterSelectionWidget</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>12885a30b106746495ac8d4f8ae7bbf8</anchor>
      <arglist>(FilterSelectionWidget *wdg)</arglist>
    </member>
    <member kind="function">
      <type>KABC::Field *</type>
      <name>currentSortField</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>b24a32d2991829d8b0129c028de40106</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KABC::Field::List</type>
      <name>viewFields</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>31c3daad09b2387ff53585c7740bc9e3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>dropped</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>e39727d2a7883e371cb5b3b539e6c694</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>startDrag</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>5692590c641a473bc8443d81b60eaa9a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABPrinting::PrintingWizard</name>
    <filename>classKABPrinting_1_1PrintingWizard.html</filename>
    <member kind="function">
      <type></type>
      <name>PrintingWizard</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>c927db71108e68608abff32d2c9c0071</anchor>
      <arglist>(KPrinter *printer, KABC::AddressBook *ab, const QStringList &amp;selection, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerStyles</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>7c792f4ae266eda6a8fdf8ae55576e3b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>print</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>273661f3785cfd50a112cf61f80c4b8a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KABC::AddressBook *</type>
      <name>addressBook</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>ffbbc6f42de1b6e394db30bdaa74e758</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KPrinter *</type>
      <name>printer</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>7dd26842ddbd25f87182f41927200807</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotStyleSelected</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>dfe2be48be8bfe2a1a8110e376368eca</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>accept</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>33999ce58c271a4bf8aa0c5acbe76900</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPtrList&lt; PrintStyleFactory &gt;</type>
      <name>mStyleFactories</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>a53d1e29ab6e5e8a4a4153a52c28dac3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPtrList&lt; PrintStyle &gt;</type>
      <name>mStyleList</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>dcafa305f95e02a66d7af0fdff14512e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Filter::List</type>
      <name>mFilters</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>61223fabecb611ce83c38135a91898bb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KPrinter *</type>
      <name>mPrinter</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>e4d24dab3d45052ffd1fc4c4dd8f065f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KABC::AddressBook *</type>
      <name>mAddressBook</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>67a2b143cd43ffa461e917aca642a489</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>mSelection</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>16a9f828dd3b0b44a519a1403001bba9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PrintStyle *</type>
      <name>mStyle</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>6ca7de4bd189c50633e4a5b35ba06816</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>StylePage *</type>
      <name>mStylePage</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>8bc11a129bdb90e38d5122b3e59f8044</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>SelectionPage *</type>
      <name>mSelectionPage</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>ca3093dfb49f82a489915b5f2df17a49</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABPrinting::PrintProgress</name>
    <filename>classKABPrinting_1_1PrintProgress.html</filename>
    <member kind="function">
      <type></type>
      <name>PrintProgress</name>
      <anchorfile>classKABPrinting_1_1PrintProgress.html</anchorfile>
      <anchor>c1928fcce5d86d1adc3486948e80bbad</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addMessage</name>
      <anchorfile>classKABPrinting_1_1PrintProgress.html</anchorfile>
      <anchor>0511b603262c799dd3f5d3e2a613a725</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProgress</name>
      <anchorfile>classKABPrinting_1_1PrintProgress.html</anchorfile>
      <anchor>47b67038060f6742ad596c7aece7c2b2</anchor>
      <arglist>(int)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABPrinting::PrintStyle</name>
    <filename>classKABPrinting_1_1PrintStyle.html</filename>
    <member kind="function">
      <type></type>
      <name>PrintStyle</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>ef5a5c8c7e6181bd90709bb8f1d84365</anchor>
      <arglist>(PrintingWizard *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>print</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>0791546854c2feee2fbee88410107237</anchor>
      <arglist>(const KABC::Addressee::List &amp;contacts, PrintProgress *)=0</arglist>
    </member>
    <member kind="function">
      <type>const QPixmap &amp;</type>
      <name>preview</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>766b4a1ca5958f3176dcf9d083b8c1e7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>hidePages</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>c49d6f5e8863c5c82093d1cfca2e2f61</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showPages</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>acd9cba19ec236ce10260cf7bbdb5c2e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KABC::Field *</type>
      <name>preferredSortField</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>a3eadf1fa7d2f1487a5e0a56c9e7fa77</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>preferredSortType</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>057b5f7f3153101f6777977d50bc3acf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>setPreview</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>f3ee5d0fe19140c74461ec522f69fae2</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPreview</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>e79aab7d4417c4a26f19b93672e85493</anchor>
      <arglist>(const QPixmap &amp;image)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPreferredSortOptions</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>ffb8ea1f801c95ffeb05abd8dba1e0fc</anchor>
      <arglist>(KABC::Field *field, bool ascending=true)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>PrintingWizard *</type>
      <name>wizard</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>690d65f311f5273ab6dea150731d89e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addPage</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>c5c34684ff3c0f5201c7c505823e776a</anchor>
      <arglist>(QWidget *page, const QString &amp;title)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABPrinting::PrintStyleFactory</name>
    <filename>classKABPrinting_1_1PrintStyleFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>PrintStyleFactory</name>
      <anchorfile>classKABPrinting_1_1PrintStyleFactory.html</anchorfile>
      <anchor>536c0cff9c30fc914f51422bc3161f07</anchor>
      <arglist>(PrintingWizard *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual PrintStyle *</type>
      <name>create</name>
      <anchorfile>classKABPrinting_1_1PrintStyleFactory.html</anchorfile>
      <anchor>937a534a4f0f946b096411d78c59ff41</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>description</name>
      <anchorfile>classKABPrinting_1_1PrintStyleFactory.html</anchorfile>
      <anchor>d6c54d1614577b08c008b37572ff4dc3</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PrintingWizard *</type>
      <name>mParent</name>
      <anchorfile>classKABPrinting_1_1PrintStyleFactory.html</anchorfile>
      <anchor>58e1cac2265cadda8e44ddeb8936dbba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>const char *</type>
      <name>mName</name>
      <anchorfile>classKABPrinting_1_1PrintStyleFactory.html</anchorfile>
      <anchor>382446ca3e2e0f1505bbd478ff637798</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
