<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>Kontact::Core</name>
    <filename>classKontact_1_1Core.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>dayChanged</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>c14eeb35decd02643feacb4db00de38e</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>5d7e779712ebfc26e511d617990cdc46</anchor>
      <arglist>(Kontact::Plugin *plugin)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>2cfdc51984381f867067eda01305a46b</anchor>
      <arglist>(const QString &amp;plugin)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QValueList&lt; Kontact::Plugin * &gt;</type>
      <name>pluginList</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>86922419f7d4e945edc2540efd37abf0</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function">
      <type>KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>25de0fb95e8219cc94c1389f4e97a9a4</anchor>
      <arglist>(const char *libname)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>partLoaded</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>71052da764906e556997e1050aa6315d</anchor>
      <arglist>(Plugin *plugin, KParts::ReadOnlyPart *part)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Core</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>d8b374c9e1717fcab0b0f2321554be84</anchor>
      <arglist>(QWidget *parentWidget=0, const char *name=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>lastErrorMessage</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>5f024b92bb969fa93c10ada3ff2c6237</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::Plugin</name>
    <filename>classKontact_1_1Plugin.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotConfigUpdated</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>3147f4f5a38baeebd7c258d052127693</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Plugin</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>45f3ab6c5f867f50b5f07d9a0960e76f</anchor>
      <arglist>(Core *core, QObject *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdentifier</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>0a1804dfb71bdcf92dcc69765c1872aa</anchor>
      <arglist>(const QString &amp;identifier)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>identifier</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>8035513498229a238d7de32ded6bfee1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitle</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>f9062497cf77b3984936d794c95d2ee5</anchor>
      <arglist>(const QString &amp;title)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>title</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>be2af021ae05cc8fd27ea30edfec3fdf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIcon</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>18ce7836474eb8088aad1bfa1462d86b</anchor>
      <arglist>(const QString &amp;icon)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>icon</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>629ffa812c981fd02c8936c8fd04ddc8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExecutableName</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>f04dc1bb524c536e6ee7a01e28645e39</anchor>
      <arglist>(const QString &amp;bin)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>executableName</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>bf25353652645f01419f95782ef8d4da</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPartLibraryName</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>76f32b76342f613ff3a1351182c84bf6</anchor>
      <arglist>(const QCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>createDCOPInterface</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>b9fa096b66c5f168edcbb45b4d12e4e9</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>1db12c027dab92bb37dd73b16f7556f8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>bringToForeground</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>50cf81b553bf5b1a13c4d09437f16ef4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>bba3ef1077065fdfbb860ad76acf5a37</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KParts::ReadOnlyPart *</type>
      <name>part</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>0b9279ab6238e273de7e06ba91f8cb84</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>tipFile</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>2a82bc225e9027fd6c90497ab1bc7441</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>select</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>9b1e9cc591c23c8c8bbb07a76ce5d43e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>configUpdated</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>cad83371e8a9a6e9ad52ada75ae4efa6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Summary *</type>
      <name>createSummaryWidget</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>d2f6bcddfe035cb5887deef5d01d8a72</anchor>
      <arglist>(QWidget *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>showInSideBar</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>b0859419aae6ac875c98fc588e18d3b6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowInSideBar</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>e1d2d8deeb0033958d1e2ab6faf41028</anchor>
      <arglist>(bool hasPart)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryClose</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>f44c45ae67dc82464e5f792f33f07483</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DCOPClient *</type>
      <name>dcopClient</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>ddaddc7fea4ce6d39dc4fea2c731a1f7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>weight</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>74d18be0a202daf34ae8701561f7dc38</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertNewAction</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>2659fa917e927db3a6c09ba0b9448dbc</anchor>
      <arglist>(KAction *action)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertSyncAction</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>da0d2cea25a4fb34002f992b6e6c239a</anchor>
      <arglist>(KAction *action)</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; KAction &gt; *</type>
      <name>newActions</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>446d9537a86f77f16ac76f6b6421d258</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; KAction &gt; *</type>
      <name>syncActions</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>5a2a9a5e3cd6b728a1dbba9b5633424e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>invisibleToolbarActions</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>dda2ad9bdccaa908297dea82eb2d4b27</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>canDecodeDrag</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>c6eccf506ff50251493c3903a84e6f91</anchor>
      <arglist>(QMimeSource *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processDropEvent</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>97b7923349a8d61127da445e282cd5c5</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProfile</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>0c22db1c4943686912c661368c390f00</anchor>
      <arglist>(const QString &amp;directoryPath)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveToProfile</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>0cd001a2ce79446b68feaa55f4c9cba8</anchor>
      <arglist>(const QString &amp;directoryPath) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readProperties</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>e52d1d14fa00aaba60d7c7f67dd930b3</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveProperties</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>72a846c39e383b0a1364fa813bf57603</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function">
      <type>Core *</type>
      <name>core</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>2aa2d0ff920355fce5915a76525cc80f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disabled</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>ad73ef0c1b5cd785eeb6e03f0e9d6dd7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisabled</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>77f83768cebbd07d151bf3de9d06e801</anchor>
      <arglist>(bool v)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>26ab4bf95fbf403e161e1dd57f7dd8a5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>loadPart</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>82221a604d622266435499abbc65f4d4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>5762664367c1dd67fd84863a25eb072c</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::Summary</name>
    <filename>classKontact_1_1Summary.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>configChanged</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>142e1ca56d6fb922099e90c3e3fce555</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>updateSummary</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>98c1c55a8ad89c6af868cd079d3acf11</anchor>
      <arglist>(bool force=false)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>message</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>ffedd32787a8fd3fe7977708a2d729ef</anchor>
      <arglist>(const QString &amp;message)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>summaryWidgetDropped</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>5c04f2df69c842ce641b898ed72d89e5</anchor>
      <arglist>(QWidget *target, QWidget *widget, int alignment)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Summary</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>b31c36e2c18e87130da408ff280a7add</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>summaryHeight</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>5f46c539e199406058235ec8e433e31b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>createHeader</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>e3def65c5f7dae57faf1dc12ce3d48e6</anchor>
      <arglist>(QWidget *parent, const QPixmap &amp;icon, const QString &amp;heading)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>configModules</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>d978662515c3a0b70c2437ef350056a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mousePressEvent</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>0e04e7fd9f51e23d4f92ff92160a1e57</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mouseMoveEvent</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>008a1a8eb8fe58a1bc5773bf6aa82e73</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dragEnterEvent</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>79b5c7929168ca23a84f4ede6d0a8591</anchor>
      <arglist>(QDragEnterEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dropEvent</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>256f03a2e913dda4da34b7b951e670e2</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::UniqueAppHandler</name>
    <filename>classKontact_1_1UniqueAppHandler.html</filename>
    <member kind="function">
      <type></type>
      <name>UniqueAppHandler</name>
      <anchorfile>classKontact_1_1UniqueAppHandler.html</anchorfile>
      <anchor>9754c8eac8142a841ba5e9f211771ed7</anchor>
      <arglist>(Plugin *plugin)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>loadCommandLineOptions</name>
      <anchorfile>classKontact_1_1UniqueAppHandler.html</anchorfile>
      <anchor>439e1a66d789f65885b3981df7cae8dc</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>newInstance</name>
      <anchorfile>classKontact_1_1UniqueAppHandler.html</anchorfile>
      <anchor>f2591269a0223e19a4baddc1ac8a29c7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Plugin *</type>
      <name>plugin</name>
      <anchorfile>classKontact_1_1UniqueAppHandler.html</anchorfile>
      <anchor>4887ba8cb1587fb75dec7d0c2703671f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadKontactCommandLineOptions</name>
      <anchorfile>classKontact_1_1UniqueAppHandler.html</anchorfile>
      <anchor>c5e3d9f1db536437fd954c3adb41ed0e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::UniqueAppHandlerFactoryBase</name>
    <filename>classKontact_1_1UniqueAppHandlerFactoryBase.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual UniqueAppHandler *</type>
      <name>createHandler</name>
      <anchorfile>classKontact_1_1UniqueAppHandlerFactoryBase.html</anchorfile>
      <anchor>8c00498c441fb7ffea8c2f542388fc1d</anchor>
      <arglist>(Plugin *)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::UniqueAppHandlerFactory</name>
    <filename>classKontact_1_1UniqueAppHandlerFactory.html</filename>
    <templarg></templarg>
    <base>Kontact::UniqueAppHandlerFactoryBase</base>
    <member kind="function" virtualness="virtual">
      <type>virtual UniqueAppHandler *</type>
      <name>createHandler</name>
      <anchorfile>classKontact_1_1UniqueAppHandlerFactory.html</anchorfile>
      <anchor>4b1dab97e956ee769dc98980fbd8c7e9</anchor>
      <arglist>(Plugin *plugin)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::UniqueAppWatcher</name>
    <filename>classKontact_1_1UniqueAppWatcher.html</filename>
    <member kind="function">
      <type></type>
      <name>UniqueAppWatcher</name>
      <anchorfile>classKontact_1_1UniqueAppWatcher.html</anchorfile>
      <anchor>6dc3acc56ffa85710166ab2aff21a4a4</anchor>
      <arglist>(UniqueAppHandlerFactoryBase *factory, Plugin *plugin)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classKontact_1_1UniqueAppWatcher.html</anchorfile>
      <anchor>fa6ac980484d77a60805029aea0b88cc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>unregisteredFromDCOP</name>
      <anchorfile>classKontact_1_1UniqueAppWatcher.html</anchorfile>
      <anchor>637e8420521c0fc36209e20e0598ab21</anchor>
      <arglist>(const QCString &amp;appId)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::EntryItem</name>
    <filename>classKontact_1_1EntryItem.html</filename>
    <member kind="function">
      <type></type>
      <name>EntryItem</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>88db802cbc7145f157aeada1c2f8e709</anchor>
      <arglist>(Navigator *, Kontact::Plugin *)</arglist>
    </member>
    <member kind="function">
      <type>Kontact::Plugin *</type>
      <name>plugin</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>ac6193537611d5165806b98929d74a0e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QPixmap *</type>
      <name>pixmap</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>c27590b5778e967560fe1d40e8948ace</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Navigator *</type>
      <name>navigator</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>4da29807e2a189b93345dfe5bdded0ad</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHover</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>e990c6d23ec18926db743b38e0791bbb</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPaintActive</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>71ca2fafed2197215d03c3d9ade36ff8</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>paintActive</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>e367cf04df47256c6f289e291f0f73d6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>width</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>3d4b3665884b8331e89876457f02707f</anchor>
      <arglist>(const QListBox *) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>height</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>5673ad64d9eb144911f34a32d330d049</anchor>
      <arglist>(const QListBox *) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>reloadPixmap</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>bd77f45a112c46e62b4294a8a6ec0437</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>paint</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>41310b44b111aea565181e9b3b9de8c0</anchor>
      <arglist>(QPainter *p)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::EntryItemToolTip</name>
    <filename>classKontact_1_1EntryItemToolTip.html</filename>
    <member kind="function">
      <type></type>
      <name>EntryItemToolTip</name>
      <anchorfile>classKontact_1_1EntryItemToolTip.html</anchorfile>
      <anchor>2a83f37c67a85c8b328420a2c7784d46</anchor>
      <arglist>(QListBox *parent)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>maybeTip</name>
      <anchorfile>classKontact_1_1EntryItemToolTip.html</anchorfile>
      <anchor>18910536e4ef40886142d91e3bdf542e</anchor>
      <arglist>(const QPoint &amp;p)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::Navigator</name>
    <filename>classKontact_1_1Navigator.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>pluginActivated</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>17eb903ae8455f3ea312e67611b310b6</anchor>
      <arglist>(Kontact::Plugin *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Navigator</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>ce52c0c6a43d6f467f6e7abd5f26f21b</anchor>
      <arglist>(SidePaneBase *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSelected</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>2d282cd35363a3575c9bdce62fc11660</anchor>
      <arglist>(QListBoxItem *, bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updatePlugins</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>5343a6b8ee0abe1e9e4a1f3b37acf0f2</anchor>
      <arglist>(QValueList&lt; Kontact::Plugin * &gt; plugins)</arglist>
    </member>
    <member kind="function">
      <type>QSize</type>
      <name>sizeHint</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>3934b4816b717955e05ac4cfd5a4fff3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>highlightItem</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>e9fa66050e1e452f03690b87066e98f6</anchor>
      <arglist>(EntryItem *item)</arglist>
    </member>
    <member kind="function">
      <type>IconViewMode</type>
      <name>viewMode</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>f846389d9834e6f4384657a4d7070dfb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>IconViewMode</type>
      <name>sizeIntToEnum</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>014eb0066f246f9d6b9eb78c9561b90c</anchor>
      <arglist>(int size) const </arglist>
    </member>
    <member kind="function">
      <type>const QPtrList&lt; KAction &gt; &amp;</type>
      <name>actions</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>9c55645a8dae789e8e878c93d0b8e716</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showIcons</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>de57ec617242a2e89a15d7ac7cd8eaed</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showText</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>e1df73560ce146bb685fdd18becdaddb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotExecuted</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>bc186c2720d1e2aec1153457f5c25cbc</anchor>
      <arglist>(QListBoxItem *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotMouseOn</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>a93fcc80ccc253e963a5f6d522d7ce51</anchor>
      <arglist>(QListBoxItem *item)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotMouseOff</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>ecc71ac98c55754fb3d6adde45d46d06</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotShowRMBMenu</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>404da5d5c4124fe99eb6249bf5204b74</anchor>
      <arglist>(QListBoxItem *, const QPoint &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>shortCutSelected</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>63f96c889a21254ad13e601e1a4b750b</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotStopHighlight</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>c803c5f735d5bf8d07679c80a19205ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dragEnterEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>b739c3a7bc1f7d6245a7722dbaeb399e</anchor>
      <arglist>(QDragEnterEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dragMoveEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>3680a0c071caf8aa2cb7fb332785be17</anchor>
      <arglist>(QDragMoveEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dropEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>852a07c70dd544c0f39e74db743c327a</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resizeEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>23fc2116e83038ccbd37e38de654e6e8</anchor>
      <arglist>(QResizeEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>enterEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>ccf430e210a61cccef58e42c447b9e66</anchor>
      <arglist>(QEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>leaveEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>d48f3e4ca229c78135e1e08e6e1d85ad</anchor>
      <arglist>(QEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setHoverItem</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>d49340e8185c404436b62f479694a6e3</anchor>
      <arglist>(QListBoxItem *, bool)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPaintActiveItem</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>3cd1db567dda981e6ae5685cf400856f</anchor>
      <arglist>(QListBoxItem *, bool)</arglist>
    </member>
  </compound>
</tagfile>
